Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 7301)
+++ typo3/sysext/install/mod/class.tx_install.php	(working copy)
@@ -8093,7 +8091,7 @@
 				// Get the template file
 			$templateFile = @file_get_contents(PATH_site . $this->templateFilePath . 'GenerateUpdateDatabaseFormCheckboxes.html');
 				// Get the template part from the file
-			$content = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+			$content = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 				// Define the markers content
 			$templateMarkers = array(
 				'label' => $label,
@@ -8102,7 +8100,7 @@
 				// Select/Deselect All
 			if (count($arr) > 1) {
 					// Get the subpart for multiple tables
-				$multipleTablesSubpart = $this->contentObject->getSubpart($content, '###MULTIPLETABLES###');
+				$multipleTablesSubpart = t3lib_parsehtml::getSubpart($content, '###MULTIPLETABLES###');
 					// Define the markers content
 				$multipleTablesMarkers = array(
 					'label' => $label,
@@ -8112,7 +8110,7 @@
 					'selectDeselectAll' => 'select/deselect all'
 				);
 					// Fill the markers in the subpart
-				$multipleTablesSubpart = $this->contentObject->substituteMarkerArray(
+				$multipleTablesSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$multipleTablesSubpart,
 					$multipleTablesMarkers,
 					'###|###',
@@ -8121,7 +8119,7 @@
 				);
 			}
 				// Substitute the subpart for multiple tables
-			$content = $this->contentObject->substituteSubpart(
+			$content = t3lib_parsehtml::substituteSubpart(
 				$content,
 				'###MULTIPLETABLES###',
 				$multipleTablesSubpart
@@ -8129,7 +8127,7 @@
 				// Rows
 			foreach ($arr as $key => $string) {
 					// Get the subpart for rows
-				$rowsSubpart = $this->contentObject->getSubpart($content, '###ROWS###');
+				$rowsSubpart = t3lib_parsehtml::getSubpart($content, '###ROWS###');
 				$currentSubpart = '';
 				$ico = '';
 				$warnings = array();
@@ -8156,9 +8154,9 @@
 
 					if (!empty($iconMarkers)) {
 							// Get the subpart for icons
-						$iconSubpart = $this->contentObject->getSubpart($content, '###ICONAVAILABLE###');
+						$iconSubpart = t3lib_parsehtml::getSubpart($content, '###ICONAVAILABLE###');
 							// Fill the markers in the subpart
-						$iconSubpart = $this->contentObject->substituteMarkerArray(
+						$iconSubpart = t3lib_parsehtml::substituteMarkerArray(
 							$iconSubpart,
 							$iconMarkers,
 							'###|###',
@@ -8168,7 +8166,7 @@
 					}
 				}
 					// Substitute the subpart for icons
-				$rowsSubpart = $this->contentObject->substituteSubpart(
+				$rowsSubpart = t3lib_parsehtml::substituteSubpart(
 					$rowsSubpart,
 					'###ICONAVAILABLE###',
 					$iconSubpart
@@ -8176,14 +8174,14 @@
 
 				if (isset($currentValue[$key])) {
 						// Get the subpart for current
-					$currentSubpart = $this->contentObject->getSubpart($rowsSubpart, '###CURRENT###');
+					$currentSubpart = t3lib_parsehtml::getSubpart($rowsSubpart, '###CURRENT###');
 						// Define the markers content
 					$currentMarkers = array (
 						'message' => (!$cVfullMsg ? 'Current value:': ''),
 						'value' => $currentValue[$key]
 					);
 						// Fill the markers in the subpart
-					$currentSubpart = $this->contentObject->substituteMarkerArray(
+					$currentSubpart = t3lib_parsehtml::substituteMarkerArray(
 						$currentSubpart,
 						$currentMarkers,
 						'###|###',
@@ -8192,13 +8190,13 @@
 					);
 				}
 					// Substitute the subpart for current
-				$rowsSubpart = $this->contentObject->substituteSubpart(
+				$rowsSubpart = t3lib_parsehtml::substituteSubpart(
 					$rowsSubpart,
 					'###CURRENT###',
 					$currentSubpart
 				);
 					// Fill the markers in the subpart
-				$rowsSubpart = $this->contentObject->substituteMarkerArray(
+				$rowsSubpart = t3lib_parsehtml::substituteMarkerArray(
 					$rowsSubpart,
 					$rowsMarkers,
 					'###|###',
@@ -8209,7 +8207,7 @@
 				$rows[] = $rowsSubpart;
 			}
 				// Substitute the subpart for rows
-			$content = $this->contentObject->substituteSubpart(
+			$content = t3lib_parsehtml::substituteSubpart(
 				$content,
 				'###ROWS###',
 				implode(chr(10), $rows)
@@ -8217,15 +8215,15 @@
 
 			if (count($warnings)) {
 					// Get the subpart for warnings
-				$warningsSubpart = $this->contentObject->getSubpart($content, '###WARNINGS###');
+				$warningsSubpart = t3lib_parsehtml::getSubpart($content, '###WARNINGS###');
 
 				foreach ($warnings as $warning) {
 						// Get the subpart for single warning items
-					$warningItemSubpart = $this->contentObject->getSubpart($warningsSubpart, '###WARNINGITEM###');
+					$warningItemSubpart = t3lib_parsehtml::getSubpart($warningsSubpart, '###WARNINGITEM###');
 						// Define the markers content
 					$warningItemMarker['warning'] = $warning;
 						// Fill the markers in the subpart
-					$warningItem[] = $this->contentObject->substituteMarkerArray(
+					$warningItem[] = t3lib_parsehtml::substituteMarkerArray(
 						$warningItemSubpart,
 						$warningItemMarker,
 						'###|###',
@@ -8234,21 +8232,21 @@
 					);
 				}
 					// Substitute the subpart for single warning items
-				$warningsSubpart = $this->contentObject->substituteSubpart(
+				$warningsSubpart = t3lib_parsehtml::substituteSubpart(
 					$warningsSubpart,
 					'###WARNINGITEM###',
 					implode(chr(10), $warningItems)
 				);
 			}
 				// Substitute the subpart for warnings
-			$content = $this->contentObject->substituteSubpart(
+			$content = t3lib_parsehtml::substituteSubpart(
 				$content,
 				'###WARNINGS###',
 				implode(chr(10), $warningsSubpart)
 			);
 		}
 			// Fill the markers
-		$content = $this->contentObject->substituteMarkerArray(
+		$content = t3lib_parsehtml::substituteMarkerArray(
 			$content,
 			$templateMarkers,
 			'###|###',
@@ -8272,9 +8270,9 @@
 
 		if (is_array($incomingValue) && !empty($incomingValue)) {
 				// Get the template part from the file
-			$content = $this->contentObject->getSubpart($templateFile, '###TEMPLATE###');
+			$content = t3lib_parsehtml::getSubpart($templateFile, '###TEMPLATE###');
 				// Get the subpart for a single item
-			$itemSubpart = $this->contentObject->getSubpart($content, '###ITEM###');
+			$itemSubpart = t3lib_parsehtml::getSubpart($content, '###ITEM###');
 
 			foreach ($incomingValue as $key => $value) {
 				if (is_array($value)) {
@@ -8297,7 +8295,7 @@
 					'description' => !empty($description) ? $description : '&nbsp;'
 				);
 					// Fill the markers in the subpart
-				$items[] = $this->contentObject->substituteMarkerArray(
+				$items[] = t3lib_parsehtml::substituteMarkerArray(
 					$itemSubpart,
 					$itemMarkers,
 					'###|###',
@@ -8306,7 +8304,7 @@
 				);
 			}
 				// Substitute the subpart for single item
-			$content = $this->contentObject->substituteSubpart(
+			$content = t3lib_parsehtml::substituteSubpart(
 				$content,
 				'###ITEM###',
 				implode(chr(10), $items)
